Bug 174553 - KDE keyboard layouts gone (again)
Summary: KDE keyboard layouts gone (again)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-29 22:40 UTC by Mary Ellen Foster
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 19:22:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mary Ellen Foster 2005-11-29 22:40:50 UTC
+++ This bug was initially created as a clone of Bug #121950 +++

[ I reported the above bug against an FC2 test release. It was triggered by the
switch to Xorg-X11 -- some pathnames changed, and the KDE keyboard layout thing
didn't do the right thing with the new paths. I'm now seeing the identical
symptoms in FC5Test1, and I suspect a similar cause ... see the older bug for a
discussion. ] 

I wanted to switch my keyboard layout in KDE to dvorak, but when I went to make
the change in the control centre (Regional & Accessibility - Keyboard Layout),
there were no layouts to choose from.

Based on the suggestions from the older bug, I tried 
    ln -s /usr/share/X11/xkb /usr/X11R6/lib/X11
and, indeed, the layouts came back, so either KDE is still hard-coding a path or
else something else is causing similar symptoms

Comment 1 Rex Dieter 2005-12-01 14:38:36 UTC
Yes, kde is probably still (quasi)hard-coding it.

Comment 2 Rex Dieter 2005-12-01 14:41:22 UTC
Nevermind, kde (supposedly) now uses the XkbRF_GetNamesProp() API as suggested
by Mike Harris from your previous report.  ???

Comment 3 Mary Ellen Foster 2005-12-01 14:48:38 UTC
Re: Comment #2
Yes, I know, it's weird -- that's why I opened a new bug instead of re-opening
the old one.

Comment 4 Mary Ellen Foster 2006-01-28 14:50:25 UTC
NB: I said in my initial bug repont above that creating a symbolic link made 
the layouts come back. That's only partially true: they came back in the UI, 
but it still didn't appear to work correctly when I actually chose one.  

Comment 5 Rex Dieter 2006-01-30 16:13:18 UTC
From what you describe, it appears Mike's fix from bug #121950 doesn't work
anymore.  
(CC'ing Mike): Mike, comment?

Comment 6 Ngo Than 2006-01-30 19:22:49 UTC
This problem has been fixed in kdebase-3.5.1, which will be available in rawhide
soon. Thanks for your report. 


Note You need to log in before you can comment on or make changes to this bug.